%?mingw_package_header

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:          mingw-rest
Version:       0.7.91
Release:       1%{?dist}
Summary:       MinGW library to access RESTful web services

Group:         System Environment/Libraries
License:       LGPLv2
URL:           http://www.gnome.org
Source0:       ftp://ftp.gnome.org/pub/gnome/sources/rest/%{release_version}/rest-%{version}.tar.xz
Patch0:        rest-fixdso.patch

BuildArch:      noarch

BuildRequires: mingw32-filesystem >= 98
BuildRequires: mingw64-filesystem >= 98
BuildRequires: mingw32-gcc
BuildRequires: mingw64-gcc
BuildRequires: mingw32-binutils
BuildRequires: mingw64-binutils
BuildRequires: mingw32-glib2
BuildRequires: mingw32-libsoup
BuildRequires: mingw32-libxml2
BuildRequires: mingw64-glib2
BuildRequires: mingw64-libsoup
BuildRequires: mingw64-libxml2

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n mingw32-rest
Summary:        MinGW library to access RESTful web services
Requires:       pkgconfig

%description -n mingw32-rest
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

This package contains the MinGW Windows cross compiled rest library.

%package -n mingw64-rest
Summary:        MinGW library to access RESTful web services
Requires:       pkgconfig

%description -n mingw64-rest
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

This package contains the MinGW Windows cross compiled rest library.

%?mingw_debug_package

%prep
%setup -q -n rest-%{version}
%patch0 -p1 -b .fixdso

%build
%mingw_configure
%mingw_make %{?_smp_mflags} V=1

%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la and .vapi files
find $RPM_BUILD_ROOT -name "*.la" -delete

%files -n mingw32-rest
%doc AUTHORS COPYING README
%{mingw32_bindir}/librest-0.7-0.dll
%{mingw32_bindir}/librest-extras-0.7-0.dll
%{mingw32_includedir}/rest-0.7
%{mingw32_libdir}/librest-0.7.dll.a
%{mingw32_libdir}/librest-extras-0.7.dll.a
%{mingw32_libdir}/pkgconfig/rest-0.7.pc
%{mingw32_libdir}/pkgconfig/rest-extras-0.7.pc

%files -n mingw64-rest
%doc AUTHORS COPYING README
%{mingw64_bindir}/librest-0.7-0.dll
%{mingw64_bindir}/librest-extras-0.7-0.dll
%{mingw64_includedir}/rest-0.7
%{mingw64_libdir}/librest-0.7.dll.a
%{mingw64_libdir}/librest-extras-0.7.dll.a
%{mingw64_libdir}/pkgconfig/rest-0.7.pc
%{mingw64_libdir}/pkgconfig/rest-extras-0.7.pc


%changelog
* Sun Jul 27 2014 Marc-André Lureau <marcandre.lureau@gmail.com> - 0.7.91-1
- Initial mingw-fedora packaging.
